( cd usr/lib ; rm -rf libgvfscommon-dnssd.so )
( cd usr/lib ; ln -sf libgvfscommon-dnssd.so.0.0.0 libgvfscommon-dnssd.so )
( cd usr/lib ; rm -rf libgvfscommon.so.0 )
( cd usr/lib ; ln -sf libgvfscommon.so.0.0.0 libgvfscommon.so.0 )
( cd usr/lib ; rm -rf libgvfscommon-dnssd.so.0 )
( cd usr/lib ; ln -sf libgvfscommon-dnssd.so.0.0.0 libgvfscommon-dnssd.so.0 )
( cd usr/lib ; rm -rf libgvfscommon.so )
( cd usr/lib ; ln -sf libgvfscommon.so.0.0.0 libgvfscommon.so )

#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/profile.d/gvfs-bash-completion.sh.new

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi
